NewWacht Bench is live — AI-assisted development for Wacht
POST
/webhooks/apps

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "deployment_id": "string",  "app_slug": "string",  "name": "string",  "description": "string",  "signing_secret": "string",  "failure_notification_emails": null,  "event_catalog_slug": "string",  "is_active": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}